nfcd (1+git20230630222907.a0cf51f.bookworm.production) bookworm; urgency=medium

  [ Bardia Moshiri ]
  * debian: add packaging
  * implement neard write
  * avoid stop poll loop
  * debian: build as native
  * debian: drop dh-systemd
  * treewide: Allow building without libdbusaccess
  * circleci: add build configs

  [ Slava Monich ]
  * [nfcd] Initial commit. JB#41661
  * [nfcd] Make NFC settings persistent. JB#41661
  * Version 1.0.1
  * [nfcd] Improved test_core_plugins coverage. JB#41661
  * [nfcd] Added test_manager. JB#41661
  * [nfcd] Allow empty NDEF records. JB#41661
  * Version 1.0.2
  * [ndef-write] Support NDEFs larger than 254 bytes. JB#41661
  * [nfcd] Removed unnecessary checks from URI NDEF handler. JB#41661
  * [nfcd] Added support for Media-type NDEF records. JB#41661
  * [test] Added unit test for Media-type NDEF record handling. JB#41661
  * [test] Fixed compilation warnings
  * Version 1.0.3
  * [plugins] Fixed a bug in processing NDEF handlers. JB#41661
  * [plugins] Plugged memory leak in URI NDEF handler. JB#41661
  * [unit] Delete all temporary files. JB#41661
  * [unit] Added plugins_dbus_handlers_type_uri test. JB#41661
  * Added LICENSE file
  * Version 1.0.4
  * Merge branch 'only_core_and_units' into 'master'
  * [nfcd] Review Text NDEF record support. JB#43873
  * [nfcd] NFC_IS_NFC_NDEF_REC_U -> NFC_IS_NDEF_REC_U
  * Updated license
  * Version 1.0.5
  * [nfcd] Fixed dbus_handlers README typo
  * [nfcd] Added AlwaysOn setting. JB#44795
  * Version 1.0.6
  * [nfcd] Fixed -v option handling
  * [ndef-write] Added -t, --text=TEXT option. JB#43873
  * [nfcd] Normalized include syntax
  * Version 1.0.7
  * [nfcd] Removed NfcTagType2Class from public headers
  * [nfcd] Fixed parent for NfcTagType2Class
  * [nfcd] Got rid of unnecessary memcpy in nfc_tag_t2_cmd
  * [nfcd] NfcTagParamT2 -> NfcParamPollA. JB#44795
  * [nfcd] Make sure transmissions don't get reordered. JB#44795
  * Version 1.0.8
  * [nfcd] Improved plugin warnings
  * [unit] Added plugins_dbus_handlers_type_generic test
  * [nfcd] Added nfc_tag_new() and nfc_tag_init_base()
  * [nfcd] Run nfcd under nfc user account. Fixes JB#45270
  * Merge branch 'user' into 'master'
  * Version 1.0.9
  * [ndef-write] Fixed invalid free()
  * [dbus] Stricten D-Bus policies. JB#45281
  * Version 1.0.10
  * [dbus] Allow running nfcd under root
  * [nfcd] Pull in the current language. JB#43873
  * Merge branch 'locale' into 'master'
  * Version 1.0.11
  * [nfcd] Added -o log_type option. Fixes JB#46299
  * Merge branch 'syslog' into 'master'
  * Version 1.0.12
  * [install] Don't try to chmod and chown non-existent files. JB#46627
  * Merge branch 'jb46627' into 'master'
  * Version 1.0.13
  * [nfcd] Use language in ISO/IANA format. Fixes JB#46660
  * Merge branch 'locale' into 'master'
  * Version 1.0.14
  * [dbus] Added policies allowing to actually use nfcd D-Bus interfaces
  * [plugins] Handle multiple NDEF records. JB#43873
  * [nfcd] Expose nfc_system_language() to plugins. JB#43873
  * [nfcd] Added nfc_ndef_rec_t_lang_match(). JB#43873
  * [nfcd] Support for handling Text NDEF records. JB#43873
  * Merge branch 'text' into 'master'
  * Version 1.0.15
  * [nfcd] Don't truncate text passed to nfc_ndef_rec_t_new_enc(). Fixes JB#46695
  * Merge branch 'jb46695' into 'master'
  * Version 1.0.16
  * [nfcd] Housekeeping
  * [plugins] Validate D-Bus names and paths loaded from config files
  * [unit] Added plugins_dbus_handlers test
  * [plugins] Housekeeping
  * [plugins] Fixed a small bug in DBusServiceAdapter initialization
  * [unit] Added plugins_dbus_service_adapter test
  * [plugins] Added org.sailfishos.nfc.Tag.Removed signal
  * [nfcd] D-Bus API for locking tag for exclusive access. JB#46766
  * [unit] Added plugins_dbus_service_tag test
  * Merge branch 'lock' into 'master'
  * Version 1.0.17
  * [nfcd] Encoding and decoding of SmartPoster NDEF records. JB#45439
  * Merge branch 'Sp' into 'master'
  * Version 1.0.18
  * [unit] Remove temporary directory
  * [tools] Housekeeping
  * [core] Constify NfcNdefRecSp::icon
  * [plugins] Support for SmartPoster handlers. JB#45439
  * [ndef-write] Added -e and -s options. JB#45439
  * [core] Handle reads beyond the end of data
  * Merge branch 'sp-handler' into 'master'
  * Version 1.0.19
  * [unit] Use common functions
  * [plugins] Fixed incorrect use of g_variant_new_from_data()
  * [nfcd] Added ISO-DEP support. JB#46767
  * [unit] Added core_tag_t4 test. JB#46767
  * Merge branch 'isodep' into 'master'
  * Version 1.0.20
  * [rpm] Fixed glib dependency. JB#35338
  * [neard] Support for SmartPoster tags. JB#45439
  * Merge branch 'neard_sp' into 'master'
  * Version 1.0.22
  * [nfcd] Compatibility with glib 2.33
  * [nfcd] Allow plugins to link to each other. JB#47190
  * Merge branch 'link_plugins' into 'master'
  * Version 1.0.23
  * [dbus] Export D-Bus objects before acquiring the name. Fixes JB#48156
  * Merge branch 'dbus-export' into 'master'
  * Version 1.0.24
  * [core] Made NFC_ADAPTER_CLASS macro public. JB#39664
  * Version 1.0.25
  * [core] Add G_BEGIN_DECLS and G_END_DECLS to public headers. JB#48413
  * [core] Added nfc_core_version() function. JB#48413
  * [dbus_service] Added GetAll2 and GetDaemonVersion methods. JB#48413
  * [core] Don't select NDEF application on Type 4 tags. JB#48413
  * [unit] Housekeeping. JB#48413
  * [unit] Added plugins_dbus_service_plugin test. JB#48413
  * Version 1.0.26
  * [core] Ignore known Glib deprecation warnings
  * [core] Fixed compilation warning
  * [core] Use compiler attributes to hide internal symbols. JB#48413
  * [core] Fixed pkgconfig dependencies. JB#48413
  * [core] Support for interface reactivation. JB#49087
  * [unit] Added test for target reactivation API. JB#49087
  * Merge branch 'reactivate' into 'master'
  * Version 1.0.27
  * [core] Implemented reading NDEF from a Type 4 tag. Fixes JB#49087
  * Merge branch 't4_ndef' into 'master'
  * Version 1.0.28
  * Merge branch 'jb49283' into 'master'
  * Version 1.0.29
  * [settings] Unexport D-Bus object when plugin is stopped. JB#48413
  * Merge branch 'unexport' into 'master'
  * Version 1.0.30
  * [core] Moved nfc_target_ref/unref to nfc_target.h
  * [core] Cleaned up dependencies between headers. JB#48413
  * [unit] Slightly rearranged unit test code. JB#48413
  * [core] Export nfc_core_version. JB#48413
  * [core] Houskeeping. JB#48413
  * [unit] Fixed occasional unit test failures. JB#48413
  * Merge branch 'unit_fail' into 'master'
  * Pulled in assorted changes from a dev branch
  * Version 1.0.31
  * Merge branch 'jb49681' into 'master'
  * [core] Provide default for LIBDIR. JB#49681
  * [core] Use @version@ in .pc.in for consistency with other packages
  * [build] Add pkgconfig pseudo-target
  * Version 1.0.32
  * [core] Generic access to RF technology specific parameters. JB#50041
  * Merge branch 'poll_param' into 'master'
  * Version 1.0.33
  * Merge branch 'jb50027' into 'master'
  * [build] Pass _unitdir to makefile. JB#50027
  * Version 1.0.34
  * [plugins] Use log level conversion helpers from libdbuslog. JB#48413
  * [plugins] Do not reuse va_list. JB#48413
  * [dbus] Allow org.freedesktop.DBus.Introspectable. Fixes JB#50287
  * Merge branch 'dbus-introspect' into 'master'
  * Merge branch 'va' into 'master'
  * Version 1.0.35
  * [plugins] Make default plugin dir arch specific. JB#50027
  * Merge branch 'lib64' into 'master'
  * Version 1.0.36
  * [plugins] Split mce state tracking into separate plugin. JB#50501
  * [core] Added nfc_target_set_transmit_timeout() function. JB#50724
  * [unit] Added test for nfc_target_set_transmit_timeout. JB#50724
  * Merge branch 'timeout' into 'master'
  * Merge branch 'mce-split' into 'master'
  * Version 1.0.37
  * [core] Increase reactivation timeout to 1500ms. JB#50756
  * Merge branch 'total_duration' into 'master'
  * Version 1.0.38
  * [core] Got rid of annoying compilation warnings
  * Version 1.0.39
  * [unit] Make sure that G_DISABLE_ASSERT is not defined
  * Merge branch 'jb-50041' into 'master'
  * [plugins] Reuse more code. JB#50041
  * Version 1.0.40
  * [plugins] Housekeeping. JB#48413
  * [unit] Added plugins_dbus_service_util test. JB#48413
  * [core] Fixed APDU encoding cases 2E and 4E. JB#51044
  * Merge branch 'apdu_encode' into 'master'
  * [dbus_service] Housekeeping
  * [dbus] Add Transceive method to Tag interface. JB#50041
  * [unit] Added test for Transceive D-Bus call. JB#50041
  * Merge branch 'transceive' into 'master'
  * Version 1.0.41
  * [core] Request reader/writer modes by default. JB#51380
  * Merge branch 'default_mode' into 'master'
  * Version 1.0.42
  * [core] Serialize reactivation and transmit requests. JB#51200
  * Merge branch 'serialize_react' into 'master'
  * Version 1.0.43
  * Merge branch 'jb51200' into 'master'
  * [core] Removed unused internal function
  * Version 1.0.44
  * [unit] Fixed unit tests failing against glib2 2.66. JB#51311
  * Merge branch 'fix-units' into 'master'
  * Version 1.0.45
  * Merge branch 'jb51099' into 'master'
  * [build] Enabled parallel compilation
  * Version 1.0.46
  * [plugins] Made dbuslog an external plugin. JB#51793
  * Merge branch 'dbuslog-ext' into 'master'
  * Version 1.0.47
  * [settings] Removed unused stuff. JB#48413
  * [core] Moved nfc_adapter_set_enabled() to internal header. JB#48413
  * [core] Moved nfc_manager_request_mode() to internal header. JB#48413
  * [core] Mark functions exported to plugins as weak. JB#48413
  * Version 1.0.48
  * [core] Hold NfcTagType4 reference during reactivation. JB#48413
  * [nfcd] NFC-DEP support. JB#49576
  * Merge branch 'nfc-dep' into 'master'
  * Version 1.1.0
  * [core] Expose LLCP version and the list of P2P services. JB#53077
  * Merge branch 'llc-params' into 'master'
  * Version 1.1.1
  * [nfcd] Avoid plugin overlinking. JB#48413
  * [nfcd] Explicitly request timestamps from libglibutil. JB#48413
  * [core] Fixed compilation error on some platforms. JB#48413
  * [dbus] Specify direction for D-Bus method arguments. JB#48413
  * Version 1.1.2

  [ Ildar Kamaletdinov ]
  * [nfcd] Add access to poll parameters for tags. JB#50041
  * [nfcd] Add Reset function to ISO-DEP interface. JB#51200
  * [nfcd] Expose more poll parameters. JB#51099
  * [nfcd] Change GetSerial() method to return tag UID. JB#51099

  [ Aleksei Berman ]
  * [core] Generic access to ISO-DEP activation parameters. JB#50041
  * [unit] Add tests for ISO-DEP activation parameters. JB#50041
  * [dbus] Add GetActivationParameters method for IsoDep interface. JB#50041

  [ Matti Lehtimäki ]
  * [aarch64] Fix location of systemd unit files. Contributes to JB#50027

  [ Niels Breet ]
  * [aarch64] Use macros, not hardcoded paths. Contributes to JB#49681

  [ MrBam ]
  * [dbus] add interfaces to org.neard plugin. JB#49283

  [ b.pankovsky ]
  * [nfcd] add core interface for Text NDEF records. JB#43873

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 30 Jun 2023 18:29:07 -0400

